FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202102031005.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202102031005.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0a34ac3 OS_GIT_VERSION=4.5.0-202102031005.p0-0a34ac3 SOURCE_DATE_EPOCH=1602278498 SOURCE_GIT_COMMIT=0a34ac3632dd869e9975fc6e9ebdcb95ef9374b8 SOURCE_GIT_TAG=v1.0.0-268-g0a34ac3 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
WORKDIR /go/src/github.com/openshift/cluster-version-operator
COPY . .
RUN hack/build-go.sh; \
    mkdir -p /tmp/build; \
    cp _output/linux/$(go env GOARCH)/cluster-version-operator /tmp/build/cluster-version-operator

FROM openshift/ose-base:v4.5.0.20210203.105200
ENV __doozer=update BUILD_RELEASE=202102031005.p0 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202102031005.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=0a34ac3 OS_GIT_VERSION=4.5.0-202102031005.p0-0a34ac3 SOURCE_DATE_EPOCH=1602278498 SOURCE_GIT_COMMIT=0a34ac3632dd869e9975fc6e9ebdcb95ef9374b8 SOURCE_GIT_TAG=v1.0.0-268-g0a34ac3 SOURCE_GIT_URL=https://github.com/openshift/cluster-version-operator 
COPY --from=builder /tmp/build/cluster-version-operator /usr/bin/
COPY install /manifests
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusterversion.crd.yaml /manifests/
COPY vendor/github.com/openshift/api/config/v1/0000_00_cluster-version-operator_01_clusteroperator.crd.yaml /manifests/
COPY bootstrap /bootstrap
ENTRYPOINT ["/usr/bin/cluster-version-operator"]

LABEL \
        name="openshift/ose-cluster-version-operator" \
        com.redhat.component="cluster-version-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cluster Version Operator" \
        release="202102031005.p0" \
        io.openshift.build.commit.id="0a34ac3632dd869e9975fc6e9ebdcb95ef9374b8" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-version-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-version-operator/commit/0a34ac3632dd869e9975fc6e9ebdcb95ef9374b8" \
        version="v4.5.0"

